Bug 160290 - [x86_64] Openoffice.org crashes at startup (glXChannelRectSyncSGIX)
[x86_64] Openoffice.org crashes at startup (glXChannelRectSyncSGIX)
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
: 160412 188598 191349 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2005-06-14 03:41 EDT by Per Steinar Iversen
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-06-14 11:04:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Per Steinar Iversen 2005-06-14 03:41:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.8) Gecko/20050514 Fedora/1.7.8-2

Description of problem:
Openoffice (writer, calc etc) crashes at start:

# openoffice.org-1.9
/usr/lib/openoffice.org1.9.104/program/soffice: line 247:  3357 Segmentation fault      "$sd_prog/$sd_binary" "$@"

/var/log/messages contains:

Jun 14 09:30:13 lumi kernel: soffice.bin[3357]: segfault at 0000000000000000 rip 0000000000000000 rsp 00000000ffffa6c0 error 14

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Start Openoffice.org
2. crash...

Actual Results:  Openoffice did not start.

Expected Results:  Openoffice should have started.

Additional info:

This is on a completely fresh install from the distributed DVD, the system was updated immediately after first boot.
Comment 1 Caolan McNamara 2005-06-14 04:09:33 EDT
Can you
gdb /usr/lib/openoffice.org1.9.104/program/soffice.bin
(gdb) run
(gdb) bt
and paste the results in here.
Comment 2 Per Steinar Iversen 2005-06-14 04:26:40 EDT
The backtrace ends like this:

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 4160494400 (LWP 3840)]
0x00000000 in ?? ()
(gdb) bt
#0  0x00000000 in ?? ()
#1  0x0070b955 in pthread_once () from /lib/libpthread.so.0
#2  0xf75d995e in glXChannelRectSyncSGIX () from /usr/lib/libGL.so.1
#3  0xf760b2b8 in ?? () from /usr/lib/libGL.so.1
#4  0xf75d9cb0 in _init () from /usr/lib/libGL.so.1
#5  0xffffa5e0 in ?? ()
#6  0x00000000 in ?? ()

The machine uses the NVIDIA x86_64 driver, version 7664 ... I can not see any
obvious depency on OpenGL listed by openoffice.org-core or -writer. Typical
openGL toys like glxgears works very well.
Comment 3 Per Steinar Iversen 2005-06-14 10:35:49 EDT
On a re-installed system without the NVIDIA driver openoffice starts and seems
to run OK.
Comment 4 Mike A. Harris 2005-06-14 11:04:02 EDT
Thanks for the report.  For users who are experiencing problems
installing, configuring, or using the unsupported 3rd party
proprietary "nvidia" video driver, Nvidia provides indirect
customer support via an online web based support forum.  Nvidia
monitors these web forums for commonly reported problems and
passes them on to Nvidia engineers for investigation.  Once
they've isolated a particular problem, it is often fixed in
a future video driver update.

The NVNews Nvidia Linux driver forum is located at:


Once you have reported this issue in the Nvidia web forums,
others who may have experienced the particular problem may
be able to assist.  If there is a real bug occuring, Nvidia
will be able to determine this, and will likely resolve the
issue in a future driver update for the operating system
releases that they officially support.

While Red Hat does not support the proprietary nvidia driver,
users requiring technical support may also find the various
X.Org, XFree86, and Red Hat mailing lists helpful in finding

X.Org mailing lists:

XFree86 mailing lists:

Red Hat mailing lists:

Setting status to "NOTABUG" (unsupported).
Comment 5 Caolan McNamara 2005-06-15 03:45:16 EDT
*** Bug 160412 has been marked as a duplicate of this bug. ***
Comment 6 Koenraad Heijlen 2005-06-27 13:14:47 EDT
On my machine It seems related to SELinux settings. The cure I use:

in init 3 do: 
1. setenforce 0 
2. (re-)install the nvidia driver
3. setenforce 1
4. init 5

I haven't dug any further (no time atm). I tried restorecon (in /usr/lib en
/usr/lib64) first but that didn't cut it. It's ugly, non packaged files are ugly
so YMMV.
Comment 7 Caolan McNamara 2006-04-11 12:58:13 EDT
*** Bug 188598 has been marked as a duplicate of this bug. ***
Comment 8 Caolan McNamara 2006-05-15 10:44:37 EDT
*** Bug 191349 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.